org.apache.ignite.internal.sql.optimizer.affinity

## Class PartitionAllNode

- java.lang.Object
- - org.apache.ignite.internal.sql.optimizer.affinity.PartitionAllNode

All Implemented Interfaces:
  PartitionNode

    public class PartitionAllNode
    extends Object
    implements PartitionNode

Node denoting all available partitions

### Field Summary

Fields
`static PartitionAllNode` `INSTANCE` Singleton.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<Integer>` `apply(PartitionClientContext cliCtx, Object... args)` Get partitions.
`String` `cacheName()`
`int` `joinGroup()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.sql.optimizer.affinity.PartitionNode

`optimize`

### Field Detail

#### INSTANCE

    public static final PartitionAllNode INSTANCE

Singleton.

### Method Detail

#### apply

    public Collection<Integer> apply(PartitionClientContext cliCtx,
                                     Object... args)

Get partitions.

Specified by:
  `apply` in interface `PartitionNode`
Parameters:
  `cliCtx` - Thin client context (optional).
  `args` - Query arguments.
Returns:
  Partitions.

#### joinGroup

    public int joinGroup()

Specified by:
  `joinGroup` in interface `PartitionNode`
Returns:
  Join group for the given node.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### cacheName

    public String cacheName()

Specified by:
  `cacheName` in interface `PartitionNode`
Returns:
  First met cache name of an any `PartitionSingleNode` during `PartitionNode` tree traversal. This method is intended to be used within the Jdbc thin client.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020